%define oname   ruby-dbus

Name:       ruby-%{oname}
Version:    0.23.1
Release:    %mkrel 1
Summary:    Ruby bindings for D-BUS
License:    LGPLv2.1+
Group:      Development/Ruby
URL:        https://github.com/mvidner/ruby-dbus
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: pkgconfig(dbus-glib-1)
# To avoid a file dependency
BuildRequires: ruby-rspec-core


%description
Pure Ruby module for interaction with D-Bus IPC system


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 0.23.1-1.mga10
+ Revision: 2055568
- Update to 0.23.1

* Mon Aug 15 2022 pterjan <pterjan> 0.18.1-1.mga9
+ Revision: 1877740
- Update to 0.18.1

* Sat Mar 26 2022 umeabot <umeabot> 0.16.0-3.mga9
+ Revision: 1827958
- Mageia 9 Mass Rebuild

* Thu Feb 04 2021 pterjan <pterjan> 0.16.0-2.mga8
+ Revision: 1674841
- Fix BuildRequires
- BuildRequires rspec to avoid a file dependency

* Wed Jan 20 2021 pterjan <pterjan> 0.16.0-1.mga8
+ Revision: 1672649
- imported package ruby-ruby-dbus

